package meerkat.voting.controller.commands;

/**
 * This is quite a special command not part of the normal voting flow.
 * It extends the base EncryptAndCommitBallotCommand for occasions where first attempt of encryption failed
 * and the voter asks to re-try encrypting and committing.
 */
public class RetryEncryptAndCommitBallotCommand extends EncryptAndCommitBallotCommand {

    public RetryEncryptAndCommitBallotCommand(int requestIdentifier,
                                              long ballotSerialNumber) {
        super(requestIdentifier, ballotSerialNumber, null);
    }

}
